--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: fetcher
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: RemoteFetcher handles the details of fetching gems and gem information from a remote source.
constants: []

full_name: Gem::RemoteFetcher
includes: 
- !ruby/object:RI::IncludedModule 
  name: Gem::UserInteraction
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: download
- !ruby/object:RI::MethodSummary 
  name: fetch_path
- !ruby/object:RI::MethodSummary 
  name: fetch_size
name: RemoteFetcher
superclass: Object
